## gov.usgs.earthquake.event
Class DefaultEventInfo

    java.lang.Object
      gov.usgs.earthquake.event.DefaultEventInfo

All Implemented Interfaces:
  EventInfo

    public class DefaultEventInfo

extends java.lang.Object
implements EventInfo

Constructor Summary
`DefaultEventInfo()`
`DefaultEventInfo(EventId eventId, java.util.Date time, java.math.BigDecimal latitude, java.math.BigDecimal longitude, java.math.BigDecimal depth, java.math.BigDecimal magnitude)`

Method Summary
`java.math.BigDecimal` `getDepth()`
`EventId` `getEventId()`
`java.math.BigDecimal` `getLatitude()`
`java.math.BigDecimal` `getLongitude()`
`java.math.BigDecimal` `getMagnitude()`
`java.util.Date` `getTime()`
`void` `setDepth(java.math.BigDecimal depth)`
`void` `setEventId(EventId eventId)`
`void` `setLatitude(java.math.BigDecimal latitude)`
`void` `setLongitude(java.math.BigDecimal longitude)`
`void` `setMagnitude(java.math.BigDecimal magnitude)`
`void` `setTime(java.util.Date time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEventInfo

    public DefaultEventInfo()

### DefaultEventInfo

    public DefaultEventInfo(EventId eventId,
                            java.util.Date time,
                            java.math.BigDecimal latitude,
                            java.math.BigDecimal longitude,
                            java.math.BigDecimal depth,
                            java.math.BigDecimal magnitude)

Method Detail

### getEventId

    public EventId getEventId()

  Specified by:
    `getEventId` in interface `EventInfo`
  Returns:
    the eventId

### setEventId

    public void setEventId(EventId eventId)

  Parameters:
    `eventId` - the eventId to set

### getTime

    public java.util.Date getTime()

  Specified by:
    `getTime` in interface `EventInfo`
  Returns:
    the time

### setTime

    public void setTime(java.util.Date time)

  Parameters:
    `time` - the time to set

### getLatitude

    public java.math.BigDecimal getLatitude()

  Specified by:
    `getLatitude` in interface `EventInfo`
  Returns:
    the latitude

### setLatitude

    public void setLatitude(java.math.BigDecimal latitude)

  Parameters:
    `latitude` - the latitude to set

### getLongitude

    public java.math.BigDecimal getLongitude()

  Specified by:
    `getLongitude` in interface `EventInfo`
  Returns:
    the longitude

### setLongitude

    public void setLongitude(java.math.BigDecimal longitude)

  Parameters:
    `longitude` - the longitude to set

### getDepth

    public java.math.BigDecimal getDepth()

  Specified by:
    `getDepth` in interface `EventInfo`
  Returns:
    the depth

### setDepth

    public void setDepth(java.math.BigDecimal depth)

  Parameters:
    `depth` - the depth to set

### getMagnitude

    public java.math.BigDecimal getMagnitude()

  Specified by:
    `getMagnitude` in interface `EventInfo`
  Returns:
    the magnitude

### setMagnitude

    public void setMagnitude(java.math.BigDecimal magnitude)

  Parameters:
    `magnitude` - the magnitude to set